Saltar al contenido principal
GET
/
v1
/
governance
/
audit-logs
/
{id}
Get audit log by ID
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/governance/audit-logs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "action": "CREATE",
  "actorId": "user@example.com",
  "changes": [
    123
  ],
  "createdAt": "2025-01-15T10:30:00.000Z",
  "entityId": "019c96a0-10a0-72d2-9fb0-2b7de8093182",
  "entityType": "reconciliation_context",
  "id": "019c96a0-0b61-71a2-8595-dde786b5bcc6",
  "tenantId": "019c96a0-0a98-7287-9a31-786e0809c769"
}

Autorizaciones

Authorization
string
header
requerido

Bearer token authentication (format: "Bearer {token}")

Encabezados

X-Request-Id
string

A unique identifier for tracing the request across services.

Parámetros de ruta

id
string<uuid>
requerido

Audit Log ID

Respuesta

Indicates that the request was successful and the response contains the expected data.

Immutable audit log entry for governance tracking

action
string

Action that was performed

Ejemplo:

"CREATE"

actorId
string

ID of the actor who performed the action

Ejemplo:

"user@example.com"

changes
integer[]

Changes made to the entity

createdAt
string

Creation timestamp in RFC3339 format

Ejemplo:

"2025-01-15T10:30:00.000Z"

entityId
string

ID of the entity that was modified

Ejemplo:

"019c96a0-10a0-72d2-9fb0-2b7de8093182"

entityType
string

Type of entity that was modified

Ejemplo:

"reconciliation_context"

id
string

Unique identifier for the audit log entry

Ejemplo:

"019c96a0-0b61-71a2-8595-dde786b5bcc6"

tenantId
string

Tenant ID that owns this audit log entry

Ejemplo:

"019c96a0-0a98-7287-9a31-786e0809c769"